View Issue Details

IDProjectCategoryView StatusLast Update
0003374MediaMonkey (current)Synchronizationpublic2010-12-20 03:49
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0003374: Autosync List Filters don't actually filter tracks
DescriptionSelecting a filter filters by Artists/Locations/Albums but not by Track, meaning that if the user selects 'All' artists with Filter A active, then ALL artists are selected irrespective of which ones match the filter criteria. The effect is that the current functionality is useful as long as the user doesn't select a top level node.

One potential solution to this is:
-Treat filters independently. e.g. if user selects All Artists in Filter A, then when the user switches to filter2, Artist B would appear 'half-selected' and greyed out. If they selected it, it would become completely selected.
-states would be: Selected, Unselected, Greyed out (to indicated selected or partially selected by virtue of _another_ filter).
-Get rid of the Music/Audiobooks/Podcasts tabs and instead dynamically generate tabs based on each of the filters.

This should also be fixed for CD Burning.
Additional InformationRelated Topics:
http://www.mediamonkey.com/forum/viewtopic.php?f=12&t=31171
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=31204

Ticket:
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=1291
TagsNo tags attached.
Fixed in build1312

Relationships

related to 0003373 closedLudek Auto-sync list: cleanup in relation to support for multiple types of content & filters 
related to 0005824 closedLudek Device configuration: Simplify Sync-list layout 

Activities

jiri

2007-08-09 19:18

administrator   ~0010086

As discussed over IM, we are not 100% sure that it is a good idea to implement this. Time will show...

rusty

2007-08-09 19:40

administrator   ~0010087

Other related items:
-When we implement this, it may also make sense to change the sync list so that each filter has it's own tab.

rusty

2009-06-03 19:38

administrator   ~0018119

I just received another complaint about this from a user who indicated that he expected, based on the current UI, that only a single filter can be chosen for synching.

i.e. he was surprised when he chose a filter that contained only 30MB of music and over 100MB of music ended up on the sync list.

stephen_platt

2009-06-03 20:24

developer   ~0018120

This is definitely confusing and a frequent complaint in the forum.

It seems that this could be remedied by implementing the device tree similar to the regular library tree.

Ludek

2010-09-08 19:02

developer   ~0020496

This is already fixed in build 4.0.0.1312 according to this UI proposal:
http://www.ventismedia.com/mantis/file_download.php?file_id=494&type=bug

peke

2010-12-20 03:49

developer   ~0021939

Verified 1336